/****************************************************************************
 * tx.feature.read_basic
 *   A mixin "Read_Basic" that suplies the very basic feature of TextReaders
 ****************************************************************************/

module tx.feature.read_basic;
public
{
	import tx.charset;
}


template Read_Basic(alias base)
{
public:
	bool eof()
	{
		return base.eof();
	}

	string readLine()
	{
		return nextLine();
	}
}
